layui.use(['table','form','carousel'], function(){    
	var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	var carousel = layui.carousel;
	//建造实例
    ins = carousel.render({ });
    
	var html   = " ";
	var remark = " ";
	// 清空轮播图
	$("#carousel").empty();
	$("#remark").empty();
	$.ajax({
		url:"../../getImgs",
		type:"GET",
		data:{
			proTypeValue : $("#proTypeValue").val(),
		},
		success : function(result) {
			for (let i = 0; i < result.length; i++) {
				// 只留一个remark
				remark = "";
				html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
				remark += '<div><span>' +result[i].remark+ '<span/></div>';
			}  
			$("#carousel").append(html);
			// 如果没有说明，就不显示null
			if(remark.indexOf("null") < 0){
				$("#remark").append(remark);
			}
			// 如果没有轮播图就隐藏
			if(result.length == 0){
				document.getElementById("test1").style.display = "none";   //隐藏
			}else{
				document.getElementById("test1").style.display = "block";   //显示
				ins.reload({
					elem: '#test1',
					width: result[0].imgWidth,  //设置容器宽度
			        height: result[0].imgHeight
				});
			}
		}
	});
});